Skip to main content
PUT
/
v4
/
sequences
/
{id}
Update a sequence
curl --request PUT \
  --url https://api.kit.com/v4/sequences/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-Kit-Api-Key: <api-key>' \
  --data '
{
  "name": "New Name",
  "email_address": "joe952@ck.lol",
  "email_template_id": 12,
  "send_days": [
    "tuesday",
    "thursday"
  ],
  "send_hour": 14,
  "time_zone": "America/Chicago",
  "active": false,
  "repeat": true,
  "hold": true,
  "exclude_subscriber_sources": [
    {
      "type": "tag",
      "ids": [
        3
      ]
    },
    {
      "type": "sequence",
      "ids": [
        48
      ]
    }
  ]
}
'
{
  "sequence": {
    "id": 49,
    "name": "New Name",
    "hold": true,
    "repeat": true,
    "created_at": "2026-04-17T13:55:25Z",
    "updated_at": "2026-04-17T13:55:25Z",
    "email_address": "joe952@ck.lol",
    "email_template_id": 12,
    "send_days": [
      "tuesday",
      "thursday"
    ],
    "send_hour": 14,
    "time_zone": "America/Chicago",
    "active": false,
    "exclude_subscriber_sources": [
      {
        "type": "sequence",
        "ids": [
          48
        ]
      },
      {
        "type": "tag",
        "ids": [
          3
        ]
      }
    ]
  }
}

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Path Parameters

id
integer
required

Body

application/json
name
string

The name of the sequence.

email_address
string

The sending email address to use. Uses the account's sending email address if not provided.

email_template_id
integer

Id of the email template to use.

send_days
string[]

The days of the week to send the sequence on. Must be one of: monday, tuesday, wednesday, thursday, friday, saturday, sunday.

send_hour
integer

The hour of the day to send the sequence at. Must be an integer between 0 and 23.

time_zone
string

The timezone to use for the sequence. Must be a valid IANA timezone string.

active
boolean

true to activate the sequence, false to deactivate it.

repeat
boolean

When true, subscribers can restart the sequence multiple times.

hold
boolean

When true, subscribers added via Visual Automations stay in the sequence after receiving the last email.

exclude_subscriber_sources
object[]

The subscriber sources to exclude from the sequence.

Response

Updates the sequence and returns its details

sequence
object
required